classification
Title: add long option names to unittest discovery docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, ezio.melotti, gennad, michael.foord, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-02-14 06:47 by chris.jerdonek, last changed 2013-02-22 03:05 by chris.jerdonek. This issue is now closed.

Files
File name Uploaded Description Edit
17203.patch gennad, 2013-02-16 22:30 review
Messages (4)
msg182078 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-14 06:47
Currently, unittest's discovery command-line documentation:

http://docs.python.org/dev/library/unittest.html#test-discovery

does not include the long option names (--start-directory, --pattern, and --top-level-directory):

http://hg.python.org/cpython/file/0f827775f7b7/Lib/unittest/main.py#l215

This issue is to add those.
msg182246 - (view) Author: Gennadiy Zlobin (gennad) * Date: 2013-02-16 22:30
Hi, here's the patch. Should I provide patches for other branches?
msg182247 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-16 22:48
Thanks, one patch should be fine, though the change should be applied to all branches.
msg182624 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-22 03:04
New changeset f4ccc5aab287 by Chris Jerdonek in branch '2.7':
Issue #17203: add long option names to unittest discovery docs.
http://hg.python.org/cpython/rev/f4ccc5aab287

New changeset c0581f7be196 by Chris Jerdonek in branch '3.2':
Issue #17203: add long option names to unittest discovery docs.
http://hg.python.org/cpython/rev/c0581f7be196

New changeset 7d1122c79985 by Chris Jerdonek in branch '3.3':
Issue #17203: add long option names to unittest discovery docs.
http://hg.python.org/cpython/rev/7d1122c79985

New changeset bbe5efa9c667 by Chris Jerdonek in branch 'default':
Issue #17203: add long option names to unittest discovery docs.
http://hg.python.org/cpython/rev/bbe5efa9c667
History
Date User Action Args
2013-02-22 03:05:47chris.jerdoneksetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-02-22 03:04:53python-devsetnosy: + python-dev
messages: + msg182624
2013-02-16 22:48:35chris.jerdoneksetmessages: + msg182247
2013-02-16 22:30:52gennadsetfiles: + 17203.patch

nosy: + gennad
messages: + msg182246

keywords: + patch
2013-02-14 06:47:08chris.jerdonekcreate